# Interface ContextMenuCommandData

Represents a set of commands that are triggered from the context menu, providing information such as the selected note.

interface ContextMenuCommandData {
node : FancytreeNode ;
noteId ?: string;
notePath ?: string;
ntxId ?: null | string;
selectedOrActiveBranchIds ?: any;
selectedOrActiveNoteIds : any;
}

#### Hierarchy (View Summary)

- CommandData
  - ContextMenuCommandData

- Defined in src/public/app/components/app_context.ts:51

##### Index

### Properties

node
noteId?
notePath?
ntxId?
selectedOrActiveBranchIds?
selectedOrActiveNoteIds

## Properties

### node

node: FancytreeNode

- Defined in src/public/app/components/app_context.ts:52

### `Optional` noteId

noteId?: string

- Defined in src/public/app/components/app_context.ts:54

### `Optional` notePath

notePath?: string

- Defined in src/public/app/components/app_context.ts:53

### `Optional` ntxId

ntxId?: null | string

Inherited from CommandData.ntxId

- Defined in src/public/app/components/app_context.ts:45

### `Optional` selectedOrActiveBranchIds

selectedOrActiveBranchIds?: any

- Defined in src/public/app/components/app_context.ts:55

### selectedOrActiveNoteIds

selectedOrActiveNoteIds: any

- Defined in src/public/app/components/app_context.ts:56